OwnCloud desktop client for RHEL 8.x / Rocky Linux 8.x?

Hi,

I’m running Rocky Linux 8.5 on my workstation, which is essentially a binary compatible clone of Red Hat Enterprise Linux 8.5, with low-risk security updates available until 2029.

I’m currently trying to install the OwnCloud desktop client, but there’s no package available for this distribution. Only CentOS 7 is supported, and CentOS 8 is dead.

Any suggestions ?

Please use the AppImage

Sorry, but AppImages are the crappiest format ever.

I’d rather build my own RHEL 8.x compatible packages starting from tweaked Fedora SRPMS, but I do wonder. How comes you have millions of users in the world and do not support one of the most widely used enterprise platforms ?

Guys : please do your homework and support RHEL 8.x & binary compatible clones.

2 Likes

ownCloud 2.9.2 works fine under Alma Linux 8.5:

$ owncloud -v
ownCloud ownCloud 2.9.2 (build 6206) Nov 24 2021 09:30:07
https://github.com/owncloud/client/commit/d64e75ec959230303808132a7e43ef7987a55ea5
Libraries Qt 5.12.10, OpenSSL 1.1.1k  FIPS 25 Mar 2021
Using virtual files plugin: off
almalinux-4.18.0-348.12.2.el8_5.x86_64
$ cat /etc/system-release
AlmaLinux release 8.5 (Arctic Sphynx)

I tried the AppImage, and it works, sort of. Doesn’t integrate with the main desktop theme - as is the problem with AppImages - and there’s no Dolphin integration (I replaced GNOME with KDE from EPEL on my Rocky Linux 8.5).

JMartinR, did you install it from the AppImage ?

1 Like
# dnf provides /bin/owncloud
Last metadata expiration check: 9:45:17 ago on Wed 09 Mar 2022 22:37:07 GMT.
owncloud-client-2.9.2-6206.x86_64 : ownCloud
Repo        : @System
Matched from:
Filename    : /usr/bin/owncloud

owncloud-client-2.9.2-6206.x86_64 : ownCloud
Repo        : owncloud
Matched from:
Filename    : /usr/bin/owncloud

# cat /etc/yum.repos.d/owncloud.repo
[owncloud]
name=owncloud
type=rpm-md
baseurl=https://download.owncloud.com/desktop/ownCloud/stable/latest/linux/CentOS_8
gpgcheck=1
gpgkey=https://download.owncloud.com/desktop/ownCloud/stable/latest/linux/CentOS_8/repodata/repomd.xml.key
enabled=1

You may find this thread of interest. The upgrade isn’t possible due to PHP issues.

Your package is officially unmaintained, since CentOS 8 is dead. Check this for yourself:

https://download.owncloud.com/desktop/ownCloud/stable/latest/linux/

The CentOS_8 link has disappeared, since CentOS 8 is EOL since December 31st 2021.

This being said, I managed to build the OwnCloud desktop client on Rocky Linux 8.5 / KDE starting from a Fedora 35 SRPM. I just don’t understand why OwnCloud developers / package maintainers don’t do their job here. Not providing packages for RHEL8 & compatible clones is a serious deficiency.

1 Like

Strictly speaking it’s not my package, but OwnCloud’s. :astonished:

We hear you - thanks for raising this! There’s a list of all supported platforms here: Installing the Desktop Synchronization Client :: ownCloud Documentation.
With Applmage we now have a solution for all the other platforms as well. We are currently not looking to provide packages for RHEL8 & compatible clones as we are focusing our efforts on other projects here at ownCloud. We are interested in receiving Applmage feedback and we’re actively working to push the boundaries to work around the current limitations.